
//old way with fixed size arrays
//int [] xPos = new int[maxNumCircles];
//int [] yPos = new int[maxNumCircles];

//better way with variable size ArrayList
ArrayList<Integer> xPos = new ArrayList<Integer>();
ArrayList<Integer> yPos = new ArrayList<Integer>();

void setup()
{
  size(400, 400);
}

void draw()
{
  background(0);
  
  addCircles(0);
  
  for(int i = 0; i < xPos.size(); i++)
  {
    ellipse(xPos.get(i), yPos.get(i), 20, 20);
  }
}

void addCircles(int num)
{
  for(int i = 0; i < num; i++)
  {
    xPos.add((int)random(width));
    yPos.add((int)random(height));
  }
}

void mouseClicked()
{
  addCircles(1);
}

void keyPressed()
{ 
  if(key == 'c') //if the key pressed was c
  {
    xPos.clear();
    yPos.clear();
    println("Particles Cleared! Good Job!");
  }
  else if(key == 'f')
  {
    xPos.remove(0); //removes the item at index 0 (first item in the list)
    yPos.remove(0);
  }
  else if(key == 'l')
  {
    xPos.remove(xPos.size()-1); //removes the item at the last index (last item in the list)
    yPos.remove(yPos.size()-1);
  }
  else if(key == '1')
  {
     addCircles(1);
  }
    else if(key == '5')
  {
     addCircles(5);
  }
    else if(key == '9')
  {
     addCircles(9);
  }
  else //if anything else was pressed
  {
    println("INVALID KEY PRESS!!!!");
  }
}